from flask import Flask, render_template
from src.powerpanel_manage import get_status_dict
app = Flask(__name__)

def format_status_dict():
    status_dict = get_status_dict()
    info_dict = {
        'Rating Voltage': status_dict['Rating Voltage'],
        'Rating Power': status_dict['Rating Power'],
        'State': status_dict['State']
    }
    title_dict = {
        'Model Name': status_dict['Model Name'],
        'Firmware Number': status_dict['Firmware Number'],
        'Power Supply by': status_dict['Power Supply by']
    }
    for key in info_dict.keys():
        status_dict.pop(key)
    for key in title_dict.keys():
        status_dict.pop(key)
    return (title_dict, info_dict, status_dict)

@app.route('/')
def main_page():
    title_dict, info_dict, status_dict = format_status_dict()
    return render_template('index.html', title_dict=title_dict, info_dict=info_dict, status_dict=status_dict)

if __name__ == '__main__':
   app.run(host='0.0.0.0', port=9090)
